from django.urls import path

from . import views

app_name = 'semantics'

urlpatterns = [
    path('frame_mark_as_invalid/<int:frame_pk>/', views.frame_mark_as_invalid, name='frame_mark_as_invalid'),
    path('frame_confirm_invalid/<int:frame_pk>/', views.frame_confirm_invalid, name='frame_confirm_invalid'),
    path('frame_reject_invalid/<int:frame_pk>/', views.frame_reject_invalid, name='frame_reject_invalid'),
    path('frame_mark_as_bad/<int:frame_pk>/', views.frame_mark_as_bad, name='frame_mark_as_bad'),
    path('frame_reject_as_not_matching_unified_frame/<int:frame_pk>/', views.frame_reject_as_not_matching_unified_frame, name='frame_reject_as_not_matching_unified_frame'),
    path('frame_confirm_as_not_matching_unified_frame/<int:frame_pk>/', views.frame_confirm_as_not_matching_unified_frame, name='frame_confirm_as_not_matching_unified_frame'),

]
